@charset "UTF-8";

.md_headding02.is_style04 span {
  background-color: #e60033;
}

.md_stock_container_list .md_stock_container .md_stock_container_contents .md_flex_left_area .md_stock_table_area .md_table_style02.is_size input[type=number] {
  background: #ffffff;
}

.text-danger {
  color: #ff0000;
}

.text-left {
  text-align: left;
}

.text-right-important {
  text-align: right !important;
}

.text-nowrap {
  white-space: nowrap;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.mx-1 {
  margin-left: 0.25em;
  margin-right: 0.25em;
}

.mx-2 {
  margin-left: 0.5em;
  margin-right: 0.5em;
}

.mx-3 {
  margin-left: 0.75em;
  margin-right: 0.75em;
}

.mx-4 {
  margin-left: 1em;
  margin-right: 1em;
}

.w-auto {
  width: auto;
  max-width: auto;
}

.w-25 {
  width: 25%;
  max-width: 25%;
}

.w-50 {
  width: 50%;
  max-width: 50%;
}

.w-75 {
  width: 75%;
  max-width: 75%;
}

.w-100 {
  width: 100%;
  max-width: 100%;
}

.global-loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1em;

  &::before {
    content: '';
    display: block;
    width: 3em;
    height: 3em;
    border: 2px solid #007bff;
    border-radius: 50%;
    border-top-color: #fff;
    animation: spin 1s linear infinite;
  }
  &#processing-overlay {
    flex-direction: column-reverse;
  }
}

.global-loader-text {
  color: #fff;
  font-size: 2.125rem;
  font-weight: bold;
  margin: 0;
  text-align: center;
}

a[disabled] {
  pointer-events: none;
  opacity: 0.7;
}

.pre-wrap {
  white-space: pre-wrap;
}

.pre-line {
  white-space: pre-line;
}

.is-hidden {
  display: none !important;
}

.is-visible {
  display: block;
}

.d-flex {
  display: flex;
}

.flex-column {
  flex-direction: column;
}

.flex-nowrap {
  flex-wrap: nowrap;
}

.justify-content-center {
  justify-content: center;
}

.justify-content-between {
  justify-content: space-between;
}

.justify-content-around {
  justify-content: space-around;
}

.justify-content-start {
  justify-content: flex-start;
}

.justify-content-end {
  justify-content: flex-end;
}

.align-items-center {
  align-items: center;
}

.align-items-start {
  align-items: flex-start;
}

.align-items-end {
  align-items: flex-end;
}

.align-items-baseline {
  align-items: baseline;
}

.align-items-stretch {
  align-items: stretch;
}

.alert {
  margin: 1em 0;
  padding: 0.75em 1.25em;
  border-radius: 0.25em;
}

.alert-success {
  background-color: #d4edda;
  border-color: #c3e6cb;
  color: #155724;
}

.alert-danger {
  background-color: #f8d7da;
  border-color: #f5c6cb;
  color: #721c24;
}

.btn-primary {
  background-color: #19448e;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.6rem;
  font-weight: bold;
  padding: 5px 10px;
  border-radius: 6px;
  border: 1px solid #19448e;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  white-space: nowrap;
}

.btn-primary:hover {
  background-color: #153874d6;
  border-color: #153874d6;
}

.md_check .btn-primary {
  width: 85px;
  padding: 5px 10px;
}

.bg-white {
  background-color: #fff !important;
}

.md_stock_container_list .md_stock_container .md_stock_container_contents {
  max-width: calc(100% - 30px);
}

.md_stock_container_list .md_stock_container .md_stock_container_contents .md_flex_left_area {
  max-width: calc(100% - 30px);
  gap: 30px;
}

.md_stock_container_list .md_stock_container .md_stock_container_contents .md_flex_left_area .md_stock_table_area_container {
  max-width: calc(100% - 80px - 30px);
}

.md_stock_container_list .md_stock_container .md_stock_container_contents .md_flex_left_area .md_stock_table_area {
  overflow-x: auto;
  padding: 0;
}

.cart-item .md_stock_container .md_stock_container_contents .md_flex_left_area {
  max-width: calc(100% - 120px);
}

tr.is-cancelled td {
  background-color: #999999;  
  border-color: #999999;
  color: #fff;
}

.badge {
  padding: 0.25em 0.75em;
  border-radius: 1.25em;
  font-size: 1.2rem;
  font-weight: bold;
}

.badge-preparation {
  background-color: #ffff7a;
  color: #3c3c3c;
}

.badge-waiting-arrival {
  background-color: #7affbc;
  color: #3c3c3c;
}

.badge-processing {
  background-color: #ffbc7a;
  color: #3c3c3c;
}

.badge-cancelled {
  background-color: #ff7a7a;
  color: #3c3c3c;
}

.badge-shipped {
  background-color: #7affff;
  color: #3c3c3c;
}

.max-w-200px {
  max-width: 200px;
}

.order-status-list {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
}

.md_result_tablestyle01.custom {
  width: auto;
  border: 1px solid #cccccc;

  th {
    width: 150px;
    border-bottom: 1px solid #cccccc;
  }
  td {
    min-width: 100px;
    border-bottom: 1px solid #cccccc;
  }
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
